Distribution: 	CCux
Packager: 	Karsten Brockmann <arcam@ccux-linux.de>

Name: 		AfterStep
Version: 	2.2.9
Release: 	1
License: 	GNU/GPL 
Group: 		Graphical Desktop/AfterStep
Summary: 	AfterStep is a windowmanager for X.
URL: 		http://www.afterstep.org/
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot 

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: librsvg-devel
BuildRequires: libSM-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
BuildRequires: mesa-libGL-devel
BuildRequires: pango-devel
BuildRequires: perl
BuildRequires: zlib-devel

# prevent the propietary openGL incarnations
# from being drawn in the hard way
BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx

%description 
AfterStep is a window manager for the Unix X Window System. Originally based on the look and feel of the NeXTStep interface, it has evolved into its own creature with interest expressed by GNUstep, to make AfterStep the window manager of choice for X.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%prep 
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
  		--enable-different-looknfeels \
  		--enable-i18n \
		--enable-savewindows \
		--enable-virtual \
		--enable-windowlist \
		--enable-availability \
		--enable-ascp \
		--enable-shaping \
		--enable-shmimage \
		--enable-xinerama \
		--enable-glx \
		--enable-staticlibs \
		--enable-sharedlibs \
		--enable-mmx-optimization \
		--disable-send-postcard-to-developer \
		--enable-data-reinstall \
		--enable-script
make

%install 
rm -rf $RPM_BUILD_ROOT 
make install DESTDIR="$RPM_BUILD_ROOT" 

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files 
%defattr(-,root,root)
%{_bindir}/ASFileBrowser
%{_bindir}/ASRun
%{_bindir}/ASWallpaper
%{_bindir}/Animate
%{_bindir}/Arrange
%{_bindir}/Banner
%{_bindir}/GWCommand
%{_bindir}/Ident
%{_bindir}/MonitorWharf
%{_bindir}/Pager
%{_bindir}/PrintDesktopEntries
%{_bindir}/Wharf
%{_bindir}/WinCommand
%{_bindir}/WinList
%{_bindir}/WinTabs
%{_bindir}/Xpm2Jpg
%{_bindir}/afterimage-config
%{_bindir}/afterimage-libs
%{_bindir}/afterstep
%{_bindir}/afterstep-config
%{_bindir}/afterstepdoc
%{_bindir}/ascolor
%{_bindir}/ascommand.pl
%{_bindir}/asgtk-config
%{_bindir}/importasmenu
%{_bindir}/installastheme.pl
%{_bindir}/makeastheme.pl
%{_bindir}/postcard.sh
%_datadir/afterstep
%_datadir/xsessions/AfterStep.desktop
%_libdir/libAfter*.so.*
%{_mandir}/man1/ASDatabase.1x.gz
%{_mandir}/man1/ASDatabaseEntry.1x.gz
%{_mandir}/man1/AfterStep.1x.gz
%{_mandir}/man1/Align.1x.gz
%{_mandir}/man1/Animate.1x.gz
%{_mandir}/man1/AnimateTypes.1x.gz
%{_mandir}/man1/Arrange.1x.gz
%{_mandir}/man1/AutoExec.1x.gz
%{_mandir}/man1/BalloonContents.1x.gz
%{_mandir}/man1/Base.1x.gz
%{_mandir}/man1/Bevel.1x.gz
%{_mandir}/man1/ColorScheme.1x.gz
%{_mandir}/man1/Feel.1x.gz
%{_mandir}/man1/FeelWindowBox.1x.gz
%{_mandir}/man1/Functions.1x.gz
%{_mandir}/man1/Gravity.1x.gz
%{_mandir}/man1/Look.1x.gz
%{_mandir}/man1/MyBackground.1x.gz
%{_mandir}/man1/MyFrame.1x.gz
%{_mandir}/man1/MyStyle.1x.gz
%{_mandir}/man1/Pager.1x.gz
%{_mandir}/man1/PagerDecorations.1x.gz
%{_mandir}/man1/Placement.1x.gz
%{_mandir}/man1/Sound.1x.gz
%{_mandir}/man1/SoundEvents.1x.gz
%{_mandir}/man1/SupportedHints.1x.gz
%{_mandir}/man1/TbarLayout.1x.gz
%{_mandir}/man1/Wharf.1x.gz
%{_mandir}/man1/WharfFolders.1x.gz
%{_mandir}/man1/WharfSounds.1x.gz
%{_mandir}/man1/WinCommand.1x.gz
%{_mandir}/man1/WinList.1x.gz
%{_mandir}/man1/WinTabs.1x.gz
%{_mandir}/man1/afterstep_faq.1x.gz
%{_mandir}/man1/asimagexml.1x.gz
%{_mandir}/man3/afterimage.3x.gz
%{_mandir}/man3/ascmap.3x.gz
%{_mandir}/man3/ascompose.3x.gz
%{_mandir}/man3/asflip.3x.gz
%{_mandir}/man3/asfont.3x.gz
%{_mandir}/man3/asgrad.3x.gz
%{_mandir}/man3/asimage.3x.gz
%{_mandir}/man3/asimagexml.3x.gz
%{_mandir}/man3/asmerge.3x.gz
%{_mandir}/man3/asscale.3x.gz
%{_mandir}/man3/astext.3x.gz
%{_mandir}/man3/astile.3x.gz
%{_mandir}/man3/asview.3x.gz
%{_mandir}/man3/asvisual.3x.gz
%{_mandir}/man3/blender.3x.gz
%{_mandir}/man3/char2uni.3x.gz
%{_mandir}/man3/common.3x.gz
%{_mandir}/man3/export.3x.gz
%{_mandir}/man3/imencdec.3x.gz
%{_mandir}/man3/import.3x.gz
%{_mandir}/man3/transform.3x.gz
%{_mandir}/man3/ximage.3x.gz

%files devel
%defattr(-,root,root)
%_includedir/libASGTK/
%_includedir/libAfterConf/
%_includedir/libAfterStep/
%_libdir/libASGTK.a
%_libdir/libAfter*.a
%_libdir/libAfter*.so

%clean 
rm -rf $RPM_BUILD_ROOT 

%post 
ldconfig

%changelog 
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.2.9-1
- Version update
* Fri Mar 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2.8-1
- Version update
* Mon Aug 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.7-1
- Version update
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.5-1
- Version update
* Mon Nov 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.4-1
- Version update
* Fri Oct 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.3-1
- initial release
